/* styles.css - abridged 
   Project: Moriah Polk Website
   Author: Moriah Polk
   Date: JAN 2021
*/

/*
Google Fonts 
font-family: 'Bodoni Moda', serif;
font-family: 'DM Serif Display', serif;
font-family: 'Roboto Slab', serif;

*/


:root {
  --moriahsblack: #252525;     /*  rgb(37, 37, 37)     */
  --moriahslavender: #fff7fe;  /*  rgb(255, 247, 254)  */ 
  --moriahspink: #ffe6ee;	   /*  rgb(255, 230, 238)  */
  --moriahssin: #613440;       /*  rgb(97, 52, 64)     */
  --moriahsrosybrown: #d1b4c3; /*  rgb(209, 180, 195)  */
}



* {
   box-sizing: border-box; 
   outline: none;
}

img {
   display: block;
}

body {
	background-color: var(--moriahsblack);
  	overflow-x: hidden;
  	cursor: default;
  	font-family: 'Roboto Slab', serif;
}

input:focus,
select:focus,
textarea:focus,
button:focus {
    outline: none;
} 

.border-left {
	width: 10px;
	height: 100vh;
	position: fixed;
	z-index: 9999;
	background: var(--moriahsblack);
	left: 0;
}

.border-right {
	width: 0px;
	height: 100vh;
	position: fixed;
	z-index: 9999;
	background: var(--moriahsblack);
	right: 0;
}

h1 {
	font-family: 'Bodoni Moda', serif;
	text-align: center;
	color: var(--moriahsblack);
	font-size: 3em;
	font-weight: 200;
}

h2 {
	font-family: 'Bodoni Moda', serif;
	text-align: center;
	color: var(--moriahsblack);
	font-size: 2em;
	font-weight: 200;
}

h3 {
	font-family: 'DM Serif Display', serif;
	text-align: center;
	color: var(--moriahsblack);
	font-size: 2em;
}

h4 {
	font-family: 'DM Serif Display', serif;
	text-align: center;
	color: var(--moriahsblack);
	font-size: 1.5em;
}

p {
	font-family: 'Roboto Slab', serif;
}


a {
	text-decoration: none;
	color: var(--moriahsblack);
	cursor: pointer;
}

a:hover {

}

button {
	background: var(--moriahsblack);
	border-radius: none;
	border: 1px solid black;
	padding: 14px 18px;
	color: white;
	cursor: pointer;
	font-family: 'Roboto Slab', serif;
}

button:hover {
	background: var(--moriahsrosybrown);
}


::-webkit-scrollbar {
  width: 10px;
  cursor: pointer;

}

::-webkit-scrollbar-track {
  background: var(--moriahsblack);

}

::-webkit-scrollbar-thumb {
  background: #444;
  cursor: pointer;

}

::-webkit-scrollbar-thumb:hover {
  background: var(--moriahssin);
}



/* <<<<<<<<<< LOADER >>>>>>>>>>>*/


/*fade in/out between loads*/
.fadeithinthclass {
	animation: 2s forwards fadeithinth;
}

@keyframes fadeithinth {
	0% {
		opacity: 0%;
	}

	100% {
		opacity: 100%;
	}
}

@keyframes fadeithoutth {
	0% {
		opacity: 100%;
		display: all;
	}
	98% {
		opacity: 0%;
		display: all;
	}
	100% {
		opacity:0%;
		display: none;
	}
}

/* <<<<<<<<<< END LOADER >>>>>>>>>>>*/





/* <<<<<<<<<< HEADER >>>>>>>>>>>*/
.headeruno {
 background: rgba(255,255,255, 0.8);
 border-top: 7px #252525 solid;
 width: 100vw;
 height: 80px;
 padding: 0;
 position: fixed;
 z-index: 89;
 overflow: hidden;
 -webkit-transition: all .5s ease-in-out;
 -moz-transition: all .5s ease-in-out;
 -o-transition: all .5s ease-in-out;
 transition: all .5s ease-in-out;
}

.headeruno-up {
  top: -80px;
}


.headeruno-down {
  top: 0px;
}


.title { 
	margin-top: 0px;
}


.title a:hover {
  color: var(--moriahsrosybrown);
  
}


.menuicon {
	display: inline-block;
	z-index: 9998;
	position: fixed;
	margin-top: 30px;
	left: 25px;
	cursor: pointer;
	-webkit-transition: all .5s ease-in-out;
	-moz-transition: all .5s ease-in-out;
	-o-transition: all .5s ease-in-out;
	transition: all .5s ease-in-out;
}

.bar1, .bar2, .bar3 {
  width: 30px;
  height: 3px;
  background-color: #333;
  margin: 5px 0;
  transition: 0.4s;
  cursor: pointer;
}

.change1{
  -webkit-transform: rotate(-45deg) translate(-3px, 3px);
  transform: rotate(-45deg) translate(-3px, 3px);
}

.change2 {opacity: 0;}

.change3 {
  -webkit-transform: rotate(45deg) translate(-8px, -8px);
  transform: rotate(45deg) translate(-8px, -8px);
}


/* <<<<<<<<<< END HEADER >>>>>>>>>>>*/






/* <<<<<<<<<< NAVIGATION >>>>>>>>>>>*/

.navi {
	width: 100vw;
	height: 100vh;
	background: white;
	position: fixed;
	top: 0;
	border: 7px #252525 solid;
	border-left: 10px #252525 solid;
	border-right: 10px #252525 solid;
	overflow: hidden;
	padding-top: 20px;
	z-index: -2;
	opacity: 0;
	-webkit-transition: all .5s ease-in-out;
	-moz-transition: all .5s ease-in-out;
	-o-transition: all .5s ease-in-out;
	transition: all .5s ease-in-out;
}

.navileft {
	animation: .7s forwards navileftani;
}

.naviright {
	animation: 1s forwards navirightani;
}


@keyframes navirightani {
	0% {
		z-index: 999;
		opacity: 1;
	}
	40% {
		z-index: 2;
		opacity: 0;
	}
	100% {
		z-index: -2;
		opacity: 0;
	}
}


@keyframes navileftani {
	0% {
		z-index: 999;
		opacity: 0;
	}
	10% {
		z-index: 999;
		opacity: 0;
	}
	100% {
		z-index: 999;
		opacity: 1;
	}
}


.navi h1 {
	position: relative;
	z-index: 999;
	width: 50%;
	margin: 30px 25% 30px 25%;
	font-size: 2em;
}

.navi h1:hover {
	background: white;
	cursor: pointer;
	color: var(--moriahsblack);
}

.navi h2 {
	position: relative;
	font-weight: 200;
	z-index: 999;
	width: 80%;
	margin: 0 10%;
	padding: 2px 5px;
	font-size: 1.3em;
}

.subnavilink {
	padding: 0 .5em;
}

.subnavilink:hover {
	background: white;
	cursor: pointer;
	color: var(--moriahsblack);
}

.multimextra {
	overflow: hidden;
	height: 0;
	margin: -15px;
}

.writmextra {
	overflow: hidden;
	height: 0;
	margin: -15px;
}

.multimextra1 {
	height: 2em;
	margin: 5px;
}

.multimextra2 {
	height: 0;
	margin: -10px;
}


.yaktive {
	background: white;
}



/* common kaleidoscope styles */
.kal_main{
	overflow:hidden;
	width:100%;
	height:100%;
	margin:auto;
}

.kal_cont{
	width:200%;
	height:200%;
	left:-50vw;
	top:-50vh;
	position:absolute;
	margin:auto;
	opacity: .3;
}

.kal_cont .ks{
	-webkit-transform-origin:right top;
	-moz-transform-origin:right top;
	-o-transform-origin:right top;
	transform-origin:right top;
	width:50%;
	height:80%;
	position:absolute;
	top:50%;
	left:0;
	z-index:10;
	overflow:hidden;
}
.kal_cont .ksc{
	height:100%;
	width:100%;
	-webkit-transform:rotate(30deg);
	-moz-transform:rotate(30deg);
	-o-transform:rotate(30deg);
	transform:rotate(30deg);
	position:relative;
	-webkit-transform-origin:left top;
	-moz-transform-origin:left top;
	-o-transform-origin:left top;
	transform-origin:left top;
	left:100%;
	top:0;
	background:url('https://moriahpolk.com/img/bg-01.png');
}




/* styles for each sector */
.kal_cont .s1 {
  -webkit-transform: rotate(-30deg);
  -moz-transform: rotate(-30deg);
  -o-transform: rotate(-30deg);
  transform: rotate(-30deg);
}
.kal_cont .s2 {
  -webkit-transform: rotate(30deg) matrix(-1,0,0,1,0,0);
  -moz-transform: rotate(30deg) matrix(-1,0,0,1,0,0);
  -o-transform: rotate(30deg) matrix(-1,0,0,1,0,0);
  transform: rotate(30deg) matrix(-1,0,0,1,0,0);
}
.kal_cont .s3 {
  -webkit-transform: rotate(30deg);
  -moz-transform: rotate(30deg);
  -o-transform: rotate(30deg);
  transform: rotate(30deg);
}
.kal_cont .s4 {
  -webkit-transform: rotate(90deg) matrix(-1,0,0,1,0,0);
  -moz-transform: rotate(90deg) matrix(-1,0,0,1,0,0);
  -o-transform: rotate(90deg) matrix(-1,0,0,1,0,0);
  transform: rotate(90deg) matrix(-1,0,0,1,0,0);
}
.kal_cont .s5 {
  -webkit-transform: rotate(90deg);
  -moz-transform: rotate(90deg);
  -o-transform: rotate(90deg);
  transform: rotate(90deg);
}
.kal_cont .s6 {
  -webkit-transform: rotate(150deg) matrix(-1,0,0,1,0,0);
  -moz-transform: rotate(150deg) matrix(-1,0,0,1,0,0);
  -o-transform: rotate(150deg) matrix(-1,0,0,1,0,0);
  transform: rotate(150deg) matrix(-1,0,0,1,0,0);
}
.kal_cont .s7 {
  -webkit-transform: rotate(150deg);
  -moz-transform: rotate(150deg);
  -o-transform: rotate(150deg);
  transform: rotate(150deg);
}
.kal_cont .s8 {
  -webkit-transform: rotate(210deg) matrix(-1,0,0,1,0,0);
  -moz-transform: rotate(210deg) matrix(-1,0,0,1,0,0);
  -o-transform: rotate(210deg) matrix(-1,0,0,1,0,0);
  transform: rotate(210deg) matrix(-1,0,0,1,0,0);
}
.kal_cont .s9 {
  -webkit-transform: rotate(210deg);
  -moz-transform: rotate(210deg);
  -o-transform: rotate(210deg);
  transform: rotate(210deg);
}
.kal_cont .s10 {
  -webkit-transform: rotate(270deg) matrix(-1,0,0,1,0,0);
  -moz-transform: rotate(270deg) matrix(-1,0,0,1,0,0);
  -o-transform: rotate(270deg) matrix(-1,0,0,1,0,0);
  transform: rotate(270deg) matrix(-1,0,0,1,0,0);
}
.kal_cont .s11 {
  -webkit-transform: rotate(270deg);
  -moz-transform: rotate(270deg);
  -o-transform: rotate(270deg);
  transform: rotate(270deg);
}
.kal_cont .s12 {
  -webkit-transform: rotate(330deg) matrix(-1,0,0,1,0,0);
  -moz-transform: rotate(330deg) matrix(-1,0,0,1,0,0);
  -o-transform: rotate(330deg) matrix(-1,0,0,1,0,0);
  transform: rotate(330deg) matrix(-1,0,0,1,0,0);
}



.socialgroupnavi {
	width: 33vw;
	overflow: hidden;
	position: absolute;
	padding: 0;
	z-index: 999;
	left: 33vw;
	bottom: 14px;
	text-align: center;
}

.socialgroupnavi img{
	filter:brightness(10%);
	display: inline-block;
}


/* <<<<<<<<<< END NAVIGATION >>>>>>>>>>>*/



/* <<<<<<<<<< HOME BODY >>>>>>>>>>>*/


/*fader in thing*/
.pagemain {
	width: 100vw;
	height: 100vh;
	border: 7px solid #252525;
	border-left: 10px #252525 solid;
	border-right: 10px #252525 solid;
	background: white;
	animation: whitefadeout 3s forwards;
	position: fixed;
	z-index: 9999;
}


.whitefadein {
	animation: whitefadein ,5s forwards;
}
	@keyframes whitefadein {
		0% { display: all;
			 z-index: 999;
			 opacity:0;
			}
		4% { opacity: 1%; }
		100%{ 
			opacity: 1;
		}
	}

		@keyframes whitefadeout {
		0% {    opacity: 100%; 
				z-index: 9999;}
		10% {    opacity: 100%; 
				z-index: 9999;}	
		50% {   opacity: 0%; 
			    z-index: 9999;}
		51% {   z-index: -9999;}
		100% {  display: none; 
				opacity: 0%;
				z-index: -999;}
	}



.content {
	width: 100vw;
	min-height: 100vh;
	position: relative;
	overflow: hidden;
}

.content *{
	-webkit-transition: all .5s ease-in-out;
	-moz-transition: all .5s ease-in-out;
	-o-transition: all .5s ease-in-out;
	transition: all .5s ease-in-out;
}


.homecontent {
	width: 100%;
	height: 100vh;
	background: white;
	position: relative;
	overflow: hidden;
}


/* <<<<<<<<<< END HOME BODY >>>>>>>>>>>*/









/* <<<<<<<<<< FOOTER >>>>>>>>>>>*/


.footeruno {
	width: 100vw;
	height: 15vh;
	margin: 0;
	background: var(--moriahsblack);
	z-index: 89;
    position: absolute;	
}

.footertopperimg{
	width: 100%;
	position: inherit;
	transform: translate(0px, -60px);
}

.footeruno p {
	font-size: .8em;
	color: var(--moriahslavender);
	padding-left: 20px;
	padding-bottom: 20px;
}

.copy {
	width: 33%;
	position: absolute;
	margin-top: 40px;
}

.footerlogo {
	width: 33%;
	overflow: hidden;
	position: absolute;
	margin-left: 33%;
	margin-top: 40px;
}

.footerlogo img{
	width: 10%;
	margin-left: 45%;
}


.socialgroupfooter {
	width: 33%;
	right: 0;
	margin-top: 40px;
	position: absolute;
}

.socialgroup {
	width: 172px;
	height: 20px;
	margin-left: 5px;
	overflow: hidden;
}

#sg2 {
	float: right;

}

.socials{
	width: 20px;
	display: inline-block;
	margin-right: 2px;
	-webkit-transition: all .5s ease-in-out;
    -moz-transition: all .5s ease-in-out;
    -o-transition: all .5s ease-in-out;
 transition: all .5s ease-in-out;
}

.socials:hover {
	transform: scale(1.1);
	filter: hue-rotate(60deg);
}

#tct2 {
	color: white;
}


/* <<<<<<<<<< END FOOTER >>>>>>>>>>>*/

/* <<<<<<<<<< KEYFRAMES >>>>>>>>>>>*/


@keyframes rainbow_animation {
    0%,100% {
        background-position: 0 0;
    }

    50% {
        background-position: 100% 0;
    }
}



@keyframes rainbow_animationdos {
    0%,100% {
        background-position: 0 0;
    }

    50% {
        background-position: 0 100%;
    }
}


@keyframes ytfadeout {
	0% {
		opacity: 1;
		z-index: 3;
	}


	99% {
		opacity: 0;
		z-index: 3;
	}

	100% {
		opacity: 0;
		z-index: -2

	}
}


@keyframes growth {
	0% {
		opacity: 0;
		transform: scale(.5);
	}

	100% {
		opacity: 1;
		transform: scale(1);
	}

}


@keyframes fadein {
		0% 	{ opacity: 0; 
			 }

		100% {
			opacity: 1;
		
		}
}


@keyframes fadeout {
		0% 	{ opacity: initial; 
		}
		100%{ opacity: 0;
		
		}
}


@keyframes imggrow {
	0% {
		transform: scale(1);
		opacity: 1;
	}

	100% {
		transform: scale(1.1);
		opacity: 1;
	}
}


@keyframes imgshrink {
	0% {
		transform: scale(1.1);
		opacity: 1;
	}

	100% {
		transform: scale(1);
		opacity: 1;
	}
}



@media only screen and (min-width: 1200px) {

.footertopperimg{
	transform: translate(0px, -70px);
}





}

@media only screen and (min-width: 1000px) {
	.footertopperimg {
		height: 80px;
		transform: translate(0px, -50px);
	}



}



@media only screen and (max-width: 800px) {

	.headeruno h1{
		padding-top: 10px;
	}

	h1 {
		font-size: 2em;
	}

	h2 {
		font-size: 1.8em;
	}

	.navi h1 {
	font-size: 1.5em;
	}

	.navi h2 {
	font-size: 1em;
	}


	.slide2box1 h2 {
		font-size: 1.6em;
	}


	p {
		font-size: .9em;
	}

	.footertopperimg{
		transform: translate(0px, -35px);
	}

	.copy {
		font-size: .9em;
	}

	.socials{
		width: 15px;
		margin-right: 7px;
	}	

	.footerlogo img {
	width: 15%;
	margin-left: 42.5%;
	}









}









